Subject: Re: [PATCH v2 10/17] refs/files: introduce function to perform normal ref checks

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 12 Jan 2026 14:08:46 +0100

On Mon, Jan 12, 2026 at 06:42:04AM -0500, Karthik Nayak wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > In a subsequent commit we'll introduce new generic checks for direct
> > refs. These checks will be independent of the actual backend.
> 
> I don't think we've used the terminology 'direct refs' before. Took
> me a second to understand. We generally use 'regular refs', but that
> includes symrefs, so I think this does make sense.

Yeah, I didn't really know what to call these other than "direct refs".
We could instead say "non-symbolic refs", but that also feels kind of
awkward. So I guess this is good enough...?

Patrick